/**
 * Theme Name:     Astra Child
 * Author:         Westside Resort
 * Template:       astra
 * Text Domain:	   astra-child
 * Description:    The Astra WordPress theme is lightning-fast and highly customizable. It has over 1 million downloads and the only theme in the world with 6,000+ five-star reviews! It’s ideal for professional web designers, solopreneurs, small businesses, eCommerce, membership sites and any type of website. It offers special features and templates so it works perfectly with all page builders like Spectra, Elementor, Beaver Builder, etc. Fast performance, clean code, mobile-first design and schema markup are all built-in, making the theme exceptionally SEO-friendly. It’s fully compatible with WooCommerce, SureCart and other eCommerce plugins and comes with lots of store-friendly features and templates. Astra also provides expert support for free users. A dedicated team of fully trained WordPress experts are on hand to help with every aspect of the theme. Try the live demo of Astra: https://zipwp.org/themes/astra/
 */

#ast-scroll-top {
  display: none !important;
}
.main-page-content h1 {
  font-size: 2em;
}
.main-page-content h2 {
  font-size: 1.5em;
}
.main-page-content h3 {
  font-size: 1.7em;
}
.main-page-content h4 {
  font-size: 1em;
}
.main-page-content h5 {
  font-size: 0.83em;
}
.main-page-content h6 {
  font-size: 0.67em;
}

.default-main-container {
  max-width: 80rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 2rem;
  padding-right: 2rem;
  margin-top: calc(6rem + 2rem); /* 6rem is the height of navbar */
  margin-bottom: 2rem;
}

.main-page-content {
  margin-top: 2rem;
}
.main-page-content p {
  margin-bottom: 1rem;
}

.hamburger {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 28px;
  height: 20px;
  background: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
  z-index: 1001;
  transition: all 0.3s ease;
}

.hamburger-line {
  width: 100%;
  height: 2px;
  background: currentColor; /* adapts to dark mode */
  border-radius: 2px;
  transition: all 0.3s ease;
}

/* Animation */
.hamburger.active .hamburger-line:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.hamburger.active .hamburger-line:nth-child(2) {
  opacity: 0;
}

.hamburger.active .hamburger-line:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}
body.menu-open {
  overflow: hidden;
}